Imports Windows.UI.Xaml.Data
Imports System

Namespace MsdnMagazine.Fibonacci.WindowsStore.Common
    ''' <summary>
    ''' Value converter that translates true to false and vice versa.
    ''' </summary>
    Public NotInheritable Class BooleanNegationConverter
        Implements IValueConverter

        Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object Implements IValueConverter.Convert
            Return Not (TypeOf value Is Boolean AndAlso CBool(value))
        End Function

        Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object Implements IValueConverter.ConvertBack
            Return Not (TypeOf value Is Boolean AndAlso CBool(value))
        End Function
    End Class
End Namespace
