Imports System.IO
Imports System.Linq
Imports Windows.Foundation
Imports Windows.Foundation.Collections
Imports Windows.UI.Xaml
Imports Windows.UI.Xaml.Controls
Imports Windows.UI.Xaml.Controls.Primitives
Imports Windows.UI.Xaml.Data
Imports Windows.UI.Xaml.Input
Imports Windows.UI.Xaml.Media
Imports Windows.UI.Xaml.Navigation

Imports MsdnMagazine_Fibonacci
Imports System.Text
Imports System.Collections.Generic

' The Basic Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234237

Namespace MsdnMagazine.Fibonacci.WindowsStore
    ''' <summary>
    ''' A basic page that provides characteristics common to most applications.
    ''' </summary>
    Partial Public NotInheritable Class MainPage
        Inherits MsdnMagazine.Fibonacci.WindowsStore.Common.LayoutAwarePage

        Public Sub New()
            Me.InitializeComponent()

            Dim fibonacci As New FibonacciCalculator

            Dim builder As New StringBuilder

            For index As UInteger = 0 To 14
                builder.AppendLine(String.Format("Fibonacci {0} = {1}", index, fibonacci.GetFibonacci(index)))
            Next index

            Me.FibonacciTextBlock.Text = builder.ToString
        End Sub

        ''' <summary>
        ''' Populates the page with content passed during navigation.  Any saved state is also
        ''' provided when recreating a page from a prior session.
        ''' </summary>
        ''' <param name="navigationParameter">The parameter value passed to
        ''' <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        ''' </param>
        ''' <param name="pageState">A dictionary of state preserved by this page during an earlier
        ''' session.  This will be null the first time a page is visited.</param>
        Protected Overrides Sub LoadState(ByVal navigationParameter As Object, ByVal pageState As Dictionary(Of String, Object))
        End Sub

        ''' <summary>
        ''' Preserves state associated with this page in case the application is suspended or the
        ''' page is discarded from the navigation cache.  Values must conform to the serialization
        ''' requirements of <see cref="SuspensionManager.SessionState"/>.
        ''' </summary>
        ''' <param name="pageState">An empty dictionary to be populated with serializable state.</param>
        Protected Overrides Sub SaveState(ByVal pageState As Dictionary(Of String, Object))
        End Sub
    End Class
End Namespace
