'-----------------------------------------------------------------------
' <copyright file="MessagingButtons.vb" company="Microsoft Corporation">
'     Copyright (c) Doug Holland, Microsoft Corporation. All rights reserved.
' </copyright>
'-----------------------------------------------------------------------
Namespace MsdnMagazine.HelloWorld.ViewModel
	''' <summary>
	''' Specifies the buttons to include when a message is displayed.
	''' </summary>
	Public Enum MessagingButtons
		''' <summary>
		''' Displays only the OK button.
		''' </summary>
		OK = 0

		''' <summary>
		''' Displays both the OK and Cancel buttons.
		''' </summary>
		OKCancel = 1

		''' <summary>
		''' Displays both the Yes and No buttons.
		''' </summary>
		YesNo = 2
	End Enum
End Namespace
