'-----------------------------------------------------------------------
' <copyright file="MessagingResult.vb" company="Microsoft Corporation">
'     Copyright (c) Doug Holland, Microsoft Corporation. All rights reserved.
' </copyright>
'-----------------------------------------------------------------------
Namespace MsdnMagazine.HelloWorld.ViewModel
	''' <summary>
	''' Represents the result of a message being displayed to the user.
	''' </summary>
	Public Enum MessagingResult
		''' <summary>
		''' This value is not currently used.
		''' </summary>
		None = 0

		''' <summary>
		''' The user clicked the OK button.
		''' </summary>
		OK = 1

		''' <summary>
		''' The user clicked the Cancel button.
		''' </summary>
		Cancel = 2

		''' <summary>
		''' The user clicked the Yes button.
		''' </summary>
		Yes = 6

		''' <summary>
		''' The user clicked the No button.
		''' </summary>
		No = 7
	End Enum
End Namespace
