'-----------------------------------------------------------------------
' <copyright file="MainPage.xaml.vb" company="Microsoft Corporation">
'     Copyright (c) Doug Holland, Microsoft Corporation. All rights reserved.
' </copyright>
'-----------------------------------------------------------------------

Imports MsdnMagazine.HelloWorld.ViewModel
Imports Windows.UI.Xaml.Controls
Imports Windows.UI.Xaml
Imports System.Collections.Generic

Namespace MsdnMagazine.HelloWorld.WindowsStore
    ''' <summary>
    ''' A basic page that provides characteristics common to most applications.
    ''' </summary>
    Partial Public NotInheritable Class MainPage
        Inherits MsdnMagazine.HelloWorld.WindowsStore.Common.LayoutAwarePage

        Public Sub New()
            Me.InitializeComponent()

            Dim app As App = TryCast(Application.Current, App)

            Me.DataContext = app.ViewModel
        End Sub

        ''' <summary>
        ''' Populates the page with content passed during navigation.  Any saved state is also
        ''' provided when recreating a page from a prior session.
        ''' </summary>
        ''' <param name="navigationParameter">The parameter value passed to
        ''' <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        ''' </param>
        ''' <param name="pageState">A dictionary of state preserved by this page during an earlier
        ''' session.  This will be null the first time a page is visited.</param>
        Protected Overrides Sub LoadState(ByVal navigationParameter As Object, ByVal pageState As Dictionary(Of String, Object))
        End Sub

        ''' <summary>
        ''' Preserves state associated with this page in case the application is suspended or the
        ''' page is discarded from the navigation cache.  Values must conform to the serialization
        ''' requirements of <see cref="SuspensionManager.SessionState"/>.
        ''' </summary>
        ''' <param name="pageState">An empty dictionary to be populated with serializable state.</param>
        Protected Overrides Sub SaveState(ByVal pageState As Dictionary(Of String, Object))
        End Sub
    End Class
End Namespace
