'-----------------------------------------------------------------------
' <copyright file="MainPage.xaml.vb" company="Microsoft Corporation">
'     Copyright (c) Doug Holland, Microsoft Corporation. All rights reserved.
' </copyright>
'-----------------------------------------------------------------------

Imports MsdnMagazine_Fibonacci
Imports Microsoft.Phone.Controls
Imports System.Text

Namespace MsdnMagazine.Fibonacci.WindowsPhone
	''' <summary>
	''' Defines the interaction logic for the page defined within MainPage.xaml
	''' </summary>
	Partial Public Class MainPage
		Inherits PhoneApplicationPage

		''' <summary>
		''' Initializes a new instance of the <see cref="T:MainPage"/> class.
		''' </summary>
		Public Sub New()
			Me.InitializeComponent()

			Dim fibonacci As New FibonacciCalculator

			Dim builder As New StringBuilder

			For index As UInteger = 0 To 19
				builder.AppendLine(String.Format("Fibonacci {0} = {1}", index, fibonacci.GetFibonacci(index)))
			Next index

			Me.FibonacciTextBlock.Text = builder.ToString
		End Sub
	End Class
End Namespace
